### Function

# GLib vsprintf

since: 2.2

#### Declaration [src]

    gint
    g_vsprintf (
      gchar* string,
      const gchar* format,
      va_list args
    )

#### Description [src]

An implementation of the standard `vsprintf()` function which supports positional parameters, as specified in the Single Unix Specification.

`glib/gprintf.h` must be explicitly included in order to use this function.

Available since: 2.2

This function is not directly available to language bindings.

#### Parameters

`string`

  Type: `gchar*`

  The buffer to hold the output.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`format`

  Type: `const gchar*`

  A standard `printf()` format string, but notice string precision pitfalls.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`args`

  Type: `va_list`

  The list of arguments to insert in the output.

#### Return value

Type: `gint`

The number of bytes printed.